import "./App.css";
import "bootstrap/dist/css/bootstrap.min.css";
import Header from "./components/header/Header";
import Functionalities from "./components/Functionalities/Functionalities";
import Footer from "./components/footer/Footer";
import Alert from "./components/alert/Alert";
import Toast from "./components/toast/Toast";
import Testt from "./components/testt/Testt";
import SweetAlert from "./components/sweetAlertToast/SweetToast";
import { useState, useEffect } from "react";
import { Provider } from "react-redux";
import store from "./redux/store";

function App() {
  // state
  const [isDark, setIsDark] = useState(false);
  // effect
  useEffect(() => {
    // local storage check
    const currentThemeColor = localStorage.getItem("theme-color");
    if (currentThemeColor === "theme-dark") {
      setIsDark(true);
    } else {
      setIsDark(false);
    }
  }, []);
  const handleLabelClick = () => {
    // logic
    if (isDark) {
      localStorage.setItem("theme-color", "theme-light");
      setIsDark(false);
    } else {
      localStorage.setItem("theme-color", "theme-dark");
      setIsDark(true);
    }
  };

  return (
    <Provider store={store}>
      <div className={`App ${isDark ? "theme-dark" : ""}`}>
        <div className="w-75 m-auto">
          <div className="theme-switcher-wrap">
            <div class="form-check form-switch">
              <input
                class="form-check-input"
                type="checkbox"
                id="flexSwitchCheckDefault"
                onClick={handleLabelClick}
              />
            </div>
          </div>
          {/* <Testt /> */}

          {/* <Header />
          <Functionalities />
          <Footer /> */}
          <Alert />
          {/* <Toast /> */}
          <SweetAlert />
        </div>
      </div>
    </Provider>
  );
}

export default App;
