import React from "react";
import "./SweetAlert.css";
import { toastAlert } from "../../redux/actions/modalActions";
import { connect } from "react-redux";
import Swal from "sweetalert2";

function SweetToast(props) {
  return (
    <div className="mt-5">
      {/* toast1 */}
      <button
        className="btn btn-danger btn-lg"
        onClick={() =>
          props.customAlert({
            icon: "error",
            title: "ارور شماره 1",
            showCloseButton: true,
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: false,
            timerProgressBar: false,
            customClass: {
              title: "error-toast-title",
              closeButton: "error-toast-closeButton",
              popup: "error-toast-modalBox",
              iconColor: "icon-color",
            },
          })
        }
      >
        toast1
      </button>
      {/* toast2 */}
      <button
        className="btn btn-danger btn-lg"
        onClick={() =>
          props.customAlert({
            icon: "success",
            title: "ارور شماره 2",
            showCloseButton: true,
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: false,
            timerProgressBar: false,
            customClass: {
              title: "success-toast-title",
              closeButton: "success-toast-closeButton",
              popup: "success-toast-modalBox",
            },
          })
        }
      >
        toast2
      </button>
      {/* toast3 */}
      <button
        className="btn btn-danger btn-lg"
        onClick={() =>
          props.customAlert({
            icon: false,
            title: "ارور شماره 1",
            showCloseButton: true,
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: false,
            timerProgressBar: false,
            customClass: {
              title: "error-toast-title",
              closeButton: "error-toast-closeButton",
              popup: "error-toast-modalBox",
              iconColor: "icon-color",
            },
          })
        }
      >
        toast3
      </button>
      {/* toast4 */}
      <button
        className="btn btn-danger btn-lg"
        onClick={() =>
          props.customAlert({
            icon: false,
            title: "ارور شماره 2",
            showCloseButton: true,
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: false,
            timerProgressBar: false,
            customClass: {
              title: "success-toast-title",
              closeButton: "success-toast-closeButton",
              popup: "success-toast-modalBox",
            },
          })
        }
      >
        toast4
      </button>
      {/* toast5 */}
      <button
        className="btn btn-danger btn-lg"
        onClick={() =>
          props.customAlert({
            icon: false,
            title: "ارور شماره 2",
            showCloseButton: true,
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: 3000,
            timerProgressBar: true,
            customClass: {
              title: "error-toast-title",
              closeButton: "error-toast-closeButton",
              popup: "error-toast-modalBox-timer",
            },
          })
        }
      >
        toast5
      </button>
      {/* toast6 */}
      <button
        className="btn btn-danger btn-lg"
        onClick={() =>
          props.customAlert({
            icon: false,
            title: "ارور شماره 2",
            showCloseButton: true,
            toast: true,
            position: "top-end",
            showConfirmButton: false,
            timer: 3000,
            timerProgressBar: true,
            customClass: {
              title: "success-toast-title",
              closeButton: "success-toast-closeButton",
              popup: "success-toast-modalBox-timer",
            },
          })
        }
      >
        toast6
      </button>
    </div>
  );
}

const mapStateToProps = (state) => {
  return {};
};

export default connect(mapStateToProps, { customAlert: toastAlert })(
  SweetToast
);
