import { INFO_ALERT, TOAST_ALERT } from "../actions/types";
import Swal from "sweetalert2";

const initialState = {};

const toastReducer = (state = initialState, action) => {
  const { type, data } = action;
  switch (type) {
    case TOAST_ALERT:
      Swal.fire({
        icon: data.icon,
        title: data.title,
        showCloseButton: data.showCloseButton,
        toast: data.toast,
        position: data.position,
        showConfirmButton: data.showConfirmButton,
        timer: data.timer,
        timerProgressBar: data.timerProgressBar,
        customClass: {
          title: data.customClass.title,
          closeButton: data.customClass.closeButton,
          popup: data.customClass.popup,
          footer: data.customClass.footer,
        },
      });
      return {
        ...state,
      };
    default:
      return state;
  }
};

export default toastReducer;
